Subject: Re: mpc8541 pci1 ioport allocation address space problem

From: Wang Jian <[email-masked]>
Date: Tue, 23 Sep 2008 22:24:54 +0800

Confirmed.

I had this patch and 2 fixes on dts applied simultaneously, and the board
works. I thought this patch was necessary.

I reverted this patch and tried again, the board still works. Thanks for
your insight.

Anyway, the io port read from /proc/ioports is misleading, so I wish it
can be changed a little.

Regards

Benjamin Herrenschmidt wrote:
> This is expected and should work. Depending on the relative
> physical addresses of IO space and the order in which the bridges are
> discovered, the bridge IO ports will look at either positive or negative
> values. This should be fine, as port numbers are supposed to be 32 bits
> and in-kernel arithmetic should do the right thing... I suppose unless a
> driver stores those in a 64 bits integer and doesn't sign extend.
> 
> I would like to change that whole thing to something more similar to
> 64 bits where I reserve a portion of the address space for IO ports,
> though address space on 32 bits platforms is scarce, but nothing I have
> time to toy with right now.
> 
> Cheers,
> Ben. 
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
> 
>